DNF5(8)

NUME
dnf5 -instrument de gestionare a pachetelor DNF5

SINOPSIS

dnf5 <comandă> [opțiuni] [<argumente>...]

DESCRIERE

<https://github.com/rpm-software-management/dnf5/> DNF5 este noua versiune a lui <https://github.com/rpm-software-management/dnf/> DNF, un gestionar de pachete pentru distribuțiile Linux bazate pe RPM. Acesta a fost complet rescris în C++ cu scopul de a îmbunătăți performanța și de a reduce dependențele externe.

COMENZI

Iată lista comenzilor disponibile. Pentru mai multe detalii, consultați pagina de manual separată pentru comanda specifică, de exemplu man dnf5 install.

    advisory <#advisory-command-ref-label>
        Gestionează avizele.

    autoremove <#autoremove-command-ref-label>
        Elimină pachetele care nu sunt necesare.

    check <#check-command-ref-label>
        Verifică dacă există probleme în baza de date a pachetelor.

    check-upgrade <#check-upgrade-command-ref-label>
        Verifică dacă sunt disponibile actualizări de pachete.

    clean <#clean-command-ref-label>
        Elimină sau invalidează datele din memoria cache.

    distro-sync <#distro-sync-command-ref-label>
        Actualizează sau retrogradează pachetele instalate la cea mai recentă versiune disponibilă.

    downgrade <#downgrade-command-ref-label>
        Retrogradează pachetele.

    download <#download-command-ref-label>
        Descarcă pachetele.

    environment <#environment-command-ref-label>
        Gestionează mediile componentelor.

    group <#group-command-ref-label>
        Gestionează grupurile componentelor

    history <#history-command-ref-label>
        Gestionează istoricul tranzacțiilor.

    info <#info-command-ref-label>
        Furnizează informații detaliate despre pachetele instalate sau disponibile.

    install <#install-command-ref-label>
        Instalează pachete.

    leaves <#leaves-command-ref-label>
        Listează grupurile de pachete de frunze „leaf”.

    list <#list-command-ref-label>
        Listează pachetele instalate sau disponibile.

    makecache <#makecache-command-ref-label>
        Generează cache-ul de metadate.

    mark <#mark-command-ref-label>
        Schimbă motivul unui pachet instalat.

    module <#module-command-ref-label>
        Gestionează modulele.

    offline <#offline-command-ref-label>
        Gestionează tranzacțiile fără a avea conexiune la internet.

    provides <#provides-command-ref-label>
        Găsește ce pachet furnizează valoarea dată.

    reinstall <#reinstall-command-ref-label>
        Reinstalează pachetele.

    remove <#remove-command-ref-label>
        Elimină pachetele.

    replay <#replay-command-ref-label>
        Reia tranzacțiile stocate.

    repo <#repo-command-ref-label>
        Gestionează depozitele.

    repoquery <#repoquery-command-ref-label>
        Caută pachete în depozite.

    search <#search-command-ref-label>
        Caută pachete folosind cuvinte cheie.

    swap <#swap-command-ref-label>
        Elimină software-ul și instalează altul în cadrul aceleiași tranzacții.

    system-upgrade <#system-upgrade-command-ref-label>
        Actualizează sistemul la o nouă versiune majoră.

    upgrade <#upgrade-command-ref-label>
        Actualizează pachetele.

    versionlock <#versionlock-command-ref-label>
        Protejează pachetele de actualizările la versiuni mai noi.

  Comenzi modul

Iată lista comenzilor disponibile ca module. Acestea sunt disponibile după instalarea pachetului dnf5-plugins.

    automatic <#automatic-plugin-ref-label>
        CLI alternativ pentru dnf upgrade adecvată pentru a fi executată automat și în mod regulat din cronometrele systemd, cron jobs și altele similare.

    builddep <#builddep-plugin-ref-label>
        Instalează dependențele lipsă pentru construirea unui pachet RPM.

    changelog <#changelog-plugin-ref-label>
        Afișează jurnalele de modificare ale pachetelor.

    config-manager <#config-manager-plugin-ref-label>
        Gestionează configurația principală, configurația depozitelor și variabilele.

    copr <#copr-plugin-ref-label>
        Gestionează depozitele Copr (suplimente „add-ons" furnizate de utilizatori/comunitate/terți).

    needs-restarting <#needs-restarting-plugin-ref-label>
        Determină dacă sistemul trebuie repornit.

    repoclosure <#repoclosure-plugin-ref-label>
        Afișează o listă de dependențe nerezolvate pentru depozite.

    reposync <#reposync-plugin-ref-label>
        Sincronizează pachetele și metadatele unui depozit DNF la distanță într-un director local.

OPȚIUNI

Următoarele opțiuni sunt aplicabile în context general pentru orice comandă dnf5:

    --assumeno
        Răspunde automat „nu” la toate întrebările.

    --best
        Încearcă cele mai bune versiuni de pachete disponibile în tranzacții.

        În special în timpul actualizării dnf, care în mod implicit omite actualizările care nu pot fi instalate din motive de dependență, această opțiune forțează DNF5 să ia în considerare doar cele mai recente pachete. Atunci când se confruntă cu pachete cu dependențe întrerupte, DNF5 va eșua, indicând motivul pentru care cea mai recentă versiune nu poate fi instalată.

        Rețineți că utilizarea celei mai recente versiuni disponibile este garantată numai pentru pachetele solicitate direct (de exemplu, ca argumente în linia de comandă), iar soluționatorul poate utiliza versiuni mai vechi ale dependențelor pentru a îndeplini aceste cerințele.

    -C, --cacheonly
        Utilizează numai datele din cache pentru a lucra cu pachete și metadate de depozit.
        Cache-ul nu va fi actualizat, chiar dacă este expirat.

    --comment=COMENTARIU
        Adaugă un comentariu la istoricul tranzacției.

    --config=RUTĂ_FIȘIER_CONFIGURARE
        Definește locația fișierului de configurare.

    --debugsolver
        Descarcă date suplimentare de la soluționator în scopuri de depanare.
        Datele sunt salvate în ./debugdata.

    --disable-plugin=NUME_MODUL,...
        Dezactivează modulele bibliotecii libdnf5 specificate în scopul comenzii DNF5 curente.
        Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
        Valorile acceptate sunt nume sau un model de nume global.

    --disable-repo=ID_DEPOZIT,...
        Dezactivează temporar depozitele active în scopul comenzii DNF5 curente.
        Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
        Valorile acceptate sunt id-uri sau un model de id-uri global.

    --dump-main-config
        Afișează valorile configurației principale [MAIN] la ieșirea standard.

    --dump-repo-config=ID_DEPOZIT,,...
        Afișează valorile configurației depozitului la ieșirea standard.
        Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
        Valorile acceptate sunt id-uri sau un model de id-uri global.

    --dump-variables
        Afișează valorile variabilelor la ieșirea standard.

    --enable-plugin=NUME_MODUL,...
        Activează modulele bibliotecii libdnf5 specificate în scopul comenzii DNF5 curente.
        Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
        Valorile acceptate sunt nume sau un model de nume global.

    --enable-repo=ID_DEPOZIT,...
        Activează temporar depozite suplimentare în scopul comenzii DNF5 curente.
        Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
        Valorile acceptate sunt id-uri sau un model glob de id-uri global.

    --forcearch=ARHITECTURA
        Forțează utilizarea unei arhitecturi specifice.
        Consultați <#forcearch-misc-ref-label> dnf5-forcearch(7) pentru mai multe informații.

    -h, --help
        Afișează acest mesaj de ajutor.

    --installroot=RUTA_ABSOLUTĂ
        Definește ruta „installroot”.
        Este necesară ruta absolută.
        A se vedea <#installroot-misc-ref-label> dnf5-installroot(7) pentru mai multe informații.

    --no-best
        Nu limitează tranzacția doar la cei mai buni candidați.

    --no-docs
        Nu instalează niciun fișier marcat ca documentație (care include pagini man și documente texinfo).
        Activează fanionul RPMTRANS_FLAG_NODOCS.

    --no-gpgchecks
        Omite verificarea semnăturilor OpenPGP pe pachete (dacă politica RPM permite acest lucru).

    --no-plugins
        Dezactivează toate modulele libdnf5.

    -q, --quiet
        În combinație cu o comandă non-interactivă, afișează doar conținutul relevant. Suprimă mesajele de notificare privind starea curentă sau acțiunile DNF5.

    --refresh
        Forțează actualizarea metadatelor înainte de a executa comanda.

    --color=<culoare>
        Controlează dacă culoarea este utilizată în ieșirea terminalului. Valorile valabile sunt „always”, întotdeauna, „never”, niciodată și auto (implicit).

    --repo=ID_DEPOZIT,...
        Activează doar depozitele specificate.
        Aceasta este o opțiune de listă care poate fi specificată de mai multe ori.
        Valorile acceptate sunt id-uri sau un model de id-uri global.

    --repofrompath=ID_DEPOZIT,RUTĂ_DEPOZIT
        Specifică un depozit pentru a fi adăugat la depozite numai pentru această execuție. Poate fi utilizată de mai multe ori.

        Noul id al depozitului este specificat prin ID_DEPOZIT și baseurl-ul acestuia prin RUTĂ_DEPOZIT. Variabilele din ambele valori sunt înlocuite înainte de crearea depozitului.

        Configurația noului depozit poate fi ajustată utilizând opțiunile --setopt=ID_DEPOZIT.option=valoare.

        Dacă doriți ca doar pachetele din acest depozit să fie disponibile, combinați această opțiune cu opțiunea --repo=ID_DEPOZIT.

    --releasever=VERSIUNE_LANSARE
        Suprascrie valoarea versiunii de distribuție (variabila releasever) în fișierele de configurare. Acest lucru poate afecta rutele cache, valorile din fișierele de configurare și adresele URL ale listei oglinzilor. Ori de câte ori releasever este definită, releasever_major și releasever_minor vor fi, de asemenea, definite prin împărțirea releasever la primul ..

    --releasever-major=VERSIUNE_LANSARE_MAJORĂ
        Suprascrie variabila releasever_major, care este de obicei detectată automat sau preluată din partea $releasever înainte de primul .. Nu afectează definirea variabilei releasever. Trebuie specificată după --releasever în linia de comandă, altfel partea majoră a --releasever va avea prioritate.

    --releasever-minor=VERSIUNE_LANSARE_MINORĂ
        Suprascrie variabila releasever_minor, care este de obicei detectată automat sau preluată din partea $releasever după primul .. Nu afectează definirea variabilei releasever. Trebuie specificată după --releasever în linia de comandă, altfel partea minoră a --releasever va avea prioritate.

    --setopt=[ID_DEPOZIT.]OPTION=VALOARE
        Suprascrie o opțiune de configurare din fișierul de configurare.
        Parametrul ID_DEPOZIT este utilizat pentru a înlocui opțiunile pentru depozite.

        Valorile pentru opțiuni precum excludepkgs, includepkgs, installonlypkgs și tsflags sunt adăugate la valoarea originală, nu o înlocuiesc. Cu toate acestea, specificarea unei valori goale (de exemplu, --setopt=tsflags=) va șterge opțiunea.

    --setvar=NUME_VARIABILĂ=VALOARE
        Suprascrie o valoare de variabilă DNF5, cum ar fi arch, releasever, etc.

    --skip-file-locks
        Omite obținerea blocărilor de fișiere, cum ar fi blocarea din depozitul de sistem.
        Pentru mai multe informații, consultați skip_system_repo_lock <#skip-system-repo-lock-options-label>.

    --show-new-leaves
        Afișează pachetele de frunze „leaf” nou instalate și pachetele care au devenit frunze după o tranzacție.

    --use-host-config
        Utilizează fișierele de configurare și definițiile variabilelor din sistemul gazdă și nu din installroot.
        A se vedea <#installroot-misc-ref-label> dnf5-installroot(7) pentru mai multe informații.

    --version
        Afișează versiunea aplicației dnf5 și a bibliotecii libdnf5, împreună cu modulele încărcate cu succes și versiunile acestora, apoi iese.

    -y, --assumeyes
        Răspunde automat afirmativ la toate întrebările.

    -x SPECIFICAȚIE_PACHET,..., --exclude=N_SPECIFICAȚIE_PACHET,...
        Exclude din tranzacție pachetele specificate în argumentele N_SPECIFICAȚIE_PACHET.
        Aceasta este o opțiune de listă.

SINCRONIZAREA METADATELOR

Funcționarea corectă a DNF5 depinde de accesul la date actualizate din toate depozitele activate, dar contactarea oglinzilor la distanță la fiecare operație îl încetinește considerabil și costă lățime de bandă atât pentru client, cât și pentru furnizorul de depozite. Opțiunea de configurare a depozitului metadata_expire este utilizată de DNF5 pentru a determina dacă o anumită copie locală a datelor depozitului trebuie resincronizată. Este esențial ca furnizorii de depozite să configureze bine opțiunea, și anume la o valoare care să garanteze că, dacă anumite metadate erau disponibile în momentul T pe server, atunci toate pachetele la care fac referire vor fi încă disponibile pentru descărcare de pe server în momentul T + metadata_expire.

Pentru a reduce și mai mult încărcarea lățimii de bandă, unele dintre comenzile pentru care nu este esențial să existe metadate actualizate (de exemplu, comanda group list) nu verifică dacă un depozit este expirat și ori de câte ori o versiune a acestuia este disponibilă local în contul utilizatorului, aceasta va fi utilizată.

Consultați <#caching-misc-ref-label> dnf5-caching(7) pentru mai multe informații privind metadatele și cache-ul pachetelor.

POLITICA DE ÎNLOCUIRE A FIȘIERELOR DE CONFIGURARE

Pachetele actualizate pot înlocui vechile fișiere de configurare modificate cu cele noi sau pot păstra fișierele mai vechi. Niciunul dintre fișiere nu este de fapt înlocuit. Pentru cele aflate în conflict, RPM acordă un sufix suplimentar la numele original. Care fișier ar trebui să păstreze numele adevărat după tranzacție nu este controlat de gestionarul de pachete, ci este specificat de fiecare pachet în parte, conform directivei de împachetare.

CODURI DE IEȘIRE

Comanda dnf5 se încheie în general cu următoarele valori de răspuns:

    0
        Operația a avut succes.

    1
        A apărut o eroare în timpul procesării comenzii.

    2
        A apărut o eroare în timpul analizării argumentelor.

Alte coduri de ieșire ar putea fi returnate de comanda specifică, consultați documentația acesteia pentru mai multe informații.

FIȘIERE

    Fișiere cache
        /var/cache/libdnf5/

    Fișierul de configurare principal [MAIN]
        /etc/dnf/dnf.conf

    Configurarea depozitelor
        /etc/yum.repos.d/

    Persistența depozitelor
        /var/lib/dnf/

    Starea sistemului
        /usr/lib/sysimage/libdnf5/

MEDIU

    DNF5_FORCE_INTERACTIVE
        Suprascrie interactivitatea intrării/ieșirii standard conectate. Definiți 0 pentru a pretinde că intrarea/ieșirea nu este conectată la un terminal interactiv și DNF5 nu trebuie să pună întrebări. Definiți 1 pentru a forța DNF5 să pună întrebări chiar dacă terminalul nu este interactiv. Consultați opțiunile „--assumeno” și „--assumeyes”.

    DNF5_PLUGINS_DIR
        Suprascrie un director cu modulele de aplicație DNF5. Definiți-l la un șir de caractere gol pentru a dezactiva încărcarea modulelor de aplicație.

    LIBDNF_PLUGINS_CONFIG_DIR
        Suprascrie un director cu fișierele de configurare ale modulului libdnf5.

    SOURCE_DATE_EPOCH
        Specifică o marcă temporală exprimată ca număr de secunde de la epoca UNIX. Când este activată, marcajele temporale ale tranzacțiilor din baza de date a istoricului sunt stabilite la ora specificată, în loc de ora curentă. În plus, pachetele sunt ordonate pentru a asigura o ordine consistentă a tranzacțiilor.

TEMP, TEMPDIR, TMP, TMPDIR
        Suprascrie o rută către un director pentru fișierele temporare. Directorul trebuie să existe. Valoarea implicită este /tmp.

CONSULTAȚI ȘI

    Comenzi:
        dnf5-advisory(8), Comanda «advisory command <#advisory-command-ref-label>
        dnf5-autoremove(8), Comanda «autoremove» <#autoremove-command-ref-label>
        dnf5-check(8), Comanda «check» <#check-command-ref-label>
        dnf5-check-upgrade(8), Comanda «check-upgrade» <#check-upgrade-command-ref-label>
        dnf5-clean(8), Comanda «clean» <#clean-command-ref-label>
        dnf5-distro-sync(8), Comanda «distro-sync» <#distro-sync-command-ref-label>
        dnf5-downgrade(8), Comanda «downgrade» <#downgrade-command-ref-label>
        dnf5-download(8), Comanda «download» <#download-command-ref-label>
        dnf5-environment(8), Comanda «environment» <#environment-command-ref-label>
        dnf5-group(8), Comanda «group» <#group-command-ref-label>
        dnf5-history(8), Comanda «history» <#history-command-ref-label>
        dnf5-info(8), Comanda «info» <#info-command-ref-label>
        dnf5-install(8), Comanda «install» <#install-command-ref-label>
        dnf5-leaves(8), Comanda «leaves» <#leaves-command-ref-label>
        dnf5-list(8), Comanda «list» <#list-command-ref-label>
        dnf5-makecache(8), Comanda «makecache» <#makecache-command-ref-label>
        dnf5-mark(8), Comanda «mark» <#mark-command-ref-label>
        dnf5-module(8), Comanda «module» <#module-command-ref-label>
        dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>
        dnf5-provides(8), Comanda «provides» <#provides-command-ref-label>
        dnf5-reinstall(8), Comanda «reinstall» <#reinstall-command-ref-label>
        dnf5-remove(8), Comanda «remove» <#remove-command-ref-label>
        dnf5-repo(8), Comanda «repo» <#repo-command-ref-label>
        dnf5-repoquery(8), Comanda «repoquery» <#repoquery-command-ref-label>
        dnf5-search(8), Comanda «search» <#search-command-ref-label>
        dnf5-swap(8), Comanda «swap» <#swap-command-ref-label>
        dnf5-system-upgrade(8), Comanda «system-upgrade» <#system-upgrade-command-ref-label>
        dnf5-upgrade(8), Comanda «upgrade» <#upgrade-command-ref-label>
        dnf5-versionlock(8), Comanda «versionlock» <#versionlock-command-ref-label>

    Module de aplicație:
        dnf5-automatic(8), Comanda «automatic» <#automatic-plugin-ref-label>
        dnf5-builddep(8), Comanda «builddep» <#builddep-plugin-ref-label>
        dnf5-changelog(8), Comanda «changelog» <#changelog-plugin-ref-label>
        dnf5-config-manager(8), Comanda «config-manager» <#config-manager-plugin-ref-label>
        dnf5-copr(8), Comanda «copr» <#copr-plugin-ref-label>
        dnf5-needs-restarting(8), Comanda «needs-restarting» <#needs-restarting-plugin-ref-label>
        dnf5-repoclosure(8), Comanda «repoclosure» <#repoclosure-plugin-ref-label>
        dnf5-repomanage(8), Comanda «repomanage» <#repomanage-plugin-ref-label>
        dnf5-reposync(8), Comanda «reposync» <#reposync-plugin-ref-label>

    Module de bibliotecă:
        libdnf5-actions(8), Modul pentru acțiuni <#actions-plugin-ref-label>
        libdnf5-expired-pgp-keys(8), Modul pentru chei PGP expirate <#expired-pgp-keys-plugin-ref-label>
        libdnf5-local(8), Modul local <#local-plugin-ref-label>

    Configurarea:
        dnf5-conf(5), Referință configurare DNF5 <#dnf5-conf-label>

    Diverse:
        dnf5-aliases(7), Pseudonime pentru argumentele din linia de comandă <#aliases-misc-ref-label>
        dnf5-caching(7), Stocarea în cache <#caching-misc-ref-label>
        dnf5-comps(7), Comparări de grupuri și medii <#comps-misc-ref-label>
        dnf5-filtering(7), Filtrarea pachetelor <#filtering-misc-ref-label>
        dnf5-forcearch(7), Parametrul de forțare a arhitecturii <#forcearch-misc-ref-label>
        dnf5-installroot(7), Parametrul „installroot” <#installroot-misc-ref-label>
        dnf5-modularity(7), Prezentare generală a modularității <#modularity-misc-ref-label>
        dnf5-specs(7), Specificațiile modelelor <#specs-misc-ref-label>
        dnf5-system-state(7), Starea sistemului <#systemstate-misc-ref-label>

    Pagina principală a proiectului:
        <https://github.com/rpm-software-management/dnf5>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.